"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function extractEnvironmentProperties(propertyNames, argv) {
    return Object.keys(propertyNames)
        .reduce((result, name) => {
        if (argv[name]) {
            result[propertyNames[name]] = argv[name];
        }
        return result;
    }, process.env);
}
exports.extractEnvironmentProperties = extractEnvironmentProperties;
exports.BUILD_OPTION_ENV_PROPERTIES = {
    apiKey: 'APIKEY',
    resourceGroup: 'RESOURCE_GROUP',
    region: 'REGION',
    registry: 'REGISTRY_URL',
    namespace: 'REGISTRY_NAMESPACE',
    imageName: 'IMAGE_NAME',
    imageVersion: 'IMAGE_VERSION',
    buildNumber: 'IMAGE_BUILD_NUMBER',
};
exports.DEPLOY_OPTION_ENV_PROPERTIES = Object.assign({}, exports.BUILD_OPTION_ENV_PROPERTIES, {
    cluster: 'CLUSTER_NAME',
    chartRoot: 'CHART_ROOT',
    chartName: 'CHART_NAME',
    environmentName: 'ENVIRONMENT_NAME',
    clusterNamespace: 'CLUSTER_NAMESPACE'
});
//# sourceMappingURL=env-support.js.map